window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"1378","username":"burnchar","comment":"<p><code>order[i][dir]<\/code> may return <code>desc<\/code> or <code>asc<\/code> when from a trusted source, but do not insert its value directly into your SQL. An untrusted user can potentially inject unwanted commands.<\/p>\n","created":"09:41, Fri 16th Oct 2015","parent":null,"version":"1.10.9","children":[{"id":"1379","username":"allan","comment":"<p>Absolutely! Data from the client-side should always be validated. I would recommend using logic in the server-side script to ensure that the SQL string that is eventually build uses only sanitised data.<\/p>\n","created":"09:43, Fri 16th Oct 2015","parent":"1378","version":"1.10.9","children":[]}]},{"id":"1692","username":"mboo2005","comment":"<p>Sometimes we don't want to change server side code especially when using some API. To alter the parameters send by DataTables use the <a rel=\"nofollow\" href=\"\/\/datatables.net\/reference\/option\/ajax.data\"><code class=\"option\" title=\"Initialisation option\">ajax.data<\/code><\/a> option. For returned data when server-side processing, if you wish to alter the JSON structure use the <code>ajax.dataFilter<\/code> option:<\/p>\n\n<pre><code class=\"multiline language-js\">$('#myTable').DataTable( {\n    serverSide: true,\n    ajax: {\n        url: '\/api\/data',\n        dataFilter: function(data){\n            var json = jQuery.parseJSON( data );\n            json.recordsTotal = json.total;\n            json.recordsFiltered = json.total;\n            json.data = json.list;\n\n            return JSON.stringify( json ); \/\/ return JSON string\n        }\n    }\n} );\n<\/code><\/pre>\n\n<p>Thus we can customize send parameters and returned data.<\/p>\n\n<p><strong>Edited by Allan<\/strong> Noting <a rel=\"nofollow\" href=\"\/\/datatables.net\/reference\/option\/ajax.data\"><code class=\"option\" title=\"Initialisation option\">ajax.data<\/code><\/a><\/p>\n","created":"17:50, Fri 26th Feb 2016","parent":null,"version":"1.10.11","children":[]},{"id":"2312","username":"onshop","comment":"<p>In our product we are using both legacy and new dataTable configurations. If you find you are getting columns sent as <code>object+Object<\/code> when using the 1.10+ configuration, then check if there is a <code>fnServerData<\/code> being set somewhere. I found there was one in another module. I had to add the following check before the ajax call to fix this:<\/p>\n\n<pre><code class=\"multiline language-js\">\/\/ Data table is using 1.10+ configuration \nif(oSettings.sAjaxSource === null){\n    aoData = oSettings.oAjaxData;\n}\n\noSettings.jqXHR = $.ajax( {\n    data: aoData,\n....\n<\/code><\/pre>\n","created":"17:45, Thu 1st Dec 2016","parent":null,"version":"1.10.12","children":[]}] );
} );window._site.page = "manual\/server-side";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = '454cdce962cc3f695a4ba52d27e584aa5dd38e29c6db13b7';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


